#megamenuDiv {
        clear: both;
}

#megamenu ul, #megamenu li {
	font-family:Arial, Helvetica, sans-serif;
	line-height:21px;
	text-align:left;
        color: #d0d0d0;
        z-index:999;
}

#megamenu {
	list-style:none;
	height:30px;
	margin:0px;
	padding:0px;

	/* Background color and gradients */
	background:url(/images/ui/megamenu_bkgd.png) repeat-x left center;
}

#megamenu li {
	float:left;
	display:block;
	text-align:left;
	position:relative;
	border:none;
        opacity:inherit;
        background:url(/images/ui/megamenu_bkgd_gray.png) no-repeat right center;
        height:30px;
}

#megamenu li:hover {
        background:url(/images/ui/megamenu_bkgd_blue.png) no-repeat right center;
}

#megamenu li a {
	font-family:Arial, Helvetica, sans-serif;
	font-size:12px;
        text-transform: uppercase;
        font-weight:bold;
	color: #505050;
	display:block;
	outline:0;
	text-decoration:none;
	text-shadow: 0px 0px 2px #fff;
        opacity:inherit;
        padding:4px 23px 4px 20px;
        margin:0;
}

#megamenu li:hover a {
	color:#2c4158;
}

/* drop and nodrop classes */

#megamenu li .drop {
	padding-right:30px;
	background:url(/images/megamenu/drop_trans.png) no-repeat right 11px;
}
#megamenu li:hover .drop {
	background:url(/images/megamenu/drop_solid.png) no-repeat right 11px;
}

/* columns */

#megamenu .dropdown {
	/* Hides the drop down */
        left:-999em;

	margin:4px auto;
        margin-top:1px;

	float:left;
	position:absolute;
        width: 400px;

	text-align:left;
	padding:10px 5px 10px 5px;
	border:1px solid #666666;
	border-top: none;
        
        background: url(/images/megamenu/steel_pattern_128.jpg);
        background-color: #404040;

	/* Rounded Corners */
	-moz-border-radius: 0px 0px 3px 20px;
	-webkit-border-radius: 0px 0px 3px 20px;
	border-radius: 0px 0px 3px 20px;
        
        -webkit-box-shadow: inset 0px 0px 15px #333333;
        -moz-box-shadow:    inset 0px 0px 15px #333333;
        box-shadow:         inset 0px 0px 15px #333333;
}

#megamenu .dropdown a {
	text-shadow: 0px 0px 3px #000;
        line-height: 14px;
        text-transform: none;
}

#megamenu .col1,
#megamenu .col2,
#megamenu .col3,
#megamenu .col4,
#megamenu .col5 {
	display:inline;
	float: left;
	position: relative;
	margin-left:  10px;
	margin-right: 10px;
}

/* right-aligned modifications */

#megamenu .menu_right {
	float:right;
	margin-right:0px;
}
#megamenu li .align_right {
	-moz-border-radius: 0px 0px 5px 5px;
	-webkit-border-radius: 0px 0px 5px 5px;
	border-radius: 0px 0px 5px 5px;
}


/* 2nd level list items */

#megamenu li ul {
	list-style:none;
	padding:0;
	margin:0;
}

#megamenu li ul li {
	font-size:12px;
	line-height:24px;
	position:relative;
	padding:0;
	margin:0;
	float:none;
	text-align:left;
	width:180px;
        border:none;
        background: none;
        height: auto;
}

#megamenu li ul li:hover {
	background:none;
        border:none;
	padding:0;
	margin:0;
}

#megamenu li ul li a {
        font-size:12px;
	color:#dddddd;
	padding:2px 0px 2px 0px;
	margin:2px 0px 6px 0px;
}

#megamenu li:hover ul li a {
	color:#cccccc;
}


/* 3rd level list items */
#megamenu li ul li ul li a {
	font-weight: normal;
        padding-left:30px;
        background:url(/images/megamenu/diamond_9x9_trans.png) no-repeat 5px 5px;
}

#megamenu li ul li ul li a:hover {
        background:url(/images/megamenu/diamond_9x9_solid.png) no-repeat 5px 5px;
}

#megamenu li:hover ul li ul li a {
	color:#cccccc;
}

/* 4th level list items */
#megamenu li ul li ul li ul li {
        display:none;
}

#megamenu li ul li ul li ul li a {
	font-weight: normal;
        padding-left:55px;
        background:url(/images/megamenu/diamond_7x7_trans.png) no-repeat 21px 6px;
}

#megamenu li:hover ul li ul li ul li a {
	color:#cccccc;
}

#megamenu li ul li ul li ul li a:hover {
        background:url(/images/megamenu/diamond_7x7_solid.png) no-repeat 16px 6px;
}

#megamenu li ul li a:hover,
#megamenu li ul li ul li a:hover,
#megamenu li ul li ul li ul li a:hover {
	color:#ffffff;
}

/* ================== */
/* CUSTOM STYLES      */
/* ================== */

#megamenu .col1                        { width: auto }
#megamenu .col2                        { width: auto }
#megamenu .col1 li, #megamenu .col2 li { width: auto }


#megamenu .col1 a, #megamenu .col2 a {
        width: auto;
        margin-right: 10px;
}

#megamenu li .col2 {
        border-left: 2px solid #333333;
        padding-left:30px
}

#megamenu a.mmSpaced {
        margin-top:8px;
}

/* ================== */
/* MEASUREMENT MENU   */
/* ================== */

#megamenu #measurement .dropdown {
        width: 470px;
}

/* ================== */
/* MANUFACTURING MENU */
/* ================== */

#megamenu #manufacturing .dropdown {
        width: 288px;
}

/* ================== */
/* SELECTED ITEMS     */
/* ================== */

#megamenu li.selected,
#megamenu li.selected:hover {
        background:url(/images/ui/megamenu_bkgd_gold.png) no-repeat right top;
}

/* UNSTYLE NESTED SELECTED ITEMS */
#megamenu li.selected ul li,
#megamenu li.selected ul li:hover {
        background:none;
}

/* STYLE NESTED SELECTED ITEMS */
#megamenu li ul li.selected a,
#megamenu li ul li ul li.selected a
{
        color: #e6d9cf;
}
